ru.bitel.oss.kernel.entity.common.bean

## Class EntityAttrEmail.EmailContact

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.EntityAttrEmail.EmailContact

- Enclosing class:
    EntityAttrEmail

      public static class EntityAttrEmail.EmailContact
      extends java.lang.Object

  Контакт для EntityAttrEmail. Содержит email - `address` и имя - `name`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailContact()`
    `EmailContact(java.lang.String name, java.lang.String address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Получение email.
    `java.lang.String` | `getName()` Получение имени контакта.
    `void` | `setAddress(java.lang.String address)` Установка email.
    `void` | `setName(java.lang.String name)` Установка имени контакта.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailContact

          public EmailContact()

    - #### EmailContact

          public EmailContact(java.lang.String name,
                              java.lang.String address)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Получение имени контакта.
      Returns:

    - #### setName

          public void setName(java.lang.String name)

      Установка имени контакта.
      Parameters:
        `name` -

    - #### getAddress

          public java.lang.String getAddress()

      Получение email.
      Returns:

    - #### setAddress

          public void setAddress(java.lang.String address)

      Установка email.
      Parameters:
        `address` -

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`